(function($) {
    'use strict';

    $(function () {
        $('#wp_protect_password_license_form').submit(function (evt) {
            evt.preventDefault();
            var license = $('#wp-protect-password-gold_license_key').val();
            if(!license) {
                $("#wp-protect-password-gold_l_error").text("This field is required!")
            } else {
                $("#wp-protect-password-gold_l_error").text("");
                _checkLicense(license, function (error) {
                    if(error) {
                        console.log(error);
                    } else {
                        location.reload();
                    }
                });
            }

        });
    });

    function _checkLicense(license, cb) {
        var _data = {
            action: 'wp_protect_password_gold_check_license',
            license: license,
            security_check: $("#wp_protect_password_license_nonce").attr('nonce'),
        }
        $('#submit').val('Submitting');
        $("#submit").prop("disabled", true);
        $.ajax({
            url: wp_protect_password_gold_license_data.ajax_url,
            type: 'POST',
            data: _data,
            success: function (res) {
                $('#submit').val('Save Changes');
                $("#submit").prop("disabled", false);
                //Do something with the result from server
                if (res == 'invalid_nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(res) {
                    console.log("Res", res);
                    //success here
                    if(res.data.errorMessage || res.data == false) {
                        toastr.error(res.data.errorMessage, 'Password Protect WordPress');
                        cb(res.data);
                    } else {
                        console.log("Success", res);
                        toastr.success('Your settings have been updated successfully!', 'Password Protect WordPress');
                        cb();
                    }

                } else {
                    console.log("Failed", res);
                    cb(res);
                }
            },
            error: function (error) {
                $("#submit").prop("disabled", false);
                cb(error);
            }

        })
    }
})( jQuery );