<?php
/**
 * The admin-specific functionality of the plugin.
 *
 * @link       https://www.buildwps.com/
 * @since      1.0.0
 *
 * @package    Prevent_ur_pages
 * @subpackage Prevent_ur_pages/include
 */

/**
 *
 * Defines the Constants
 *
 * @package    Prevent_ur_pages
 * @subpackage Prevent_ur_pages/include
 * @author     Bwps <support@bwps.us>
 */

if ( ! class_exists( 'WP_Protect_Password_Constant' ) ) {
	/**
	 * Constants helper class
	 *
	 * Class WP_Protect_Password_Constant
	 */
	class WP_Protect_Password_Constant {
		const ROLE_POST_PASS_COOKIE = 'wp-postpass-role_';

		const GOLD_PASS_COOKIE = 'wp-goldpass-pagepost_';

		const GENERAL_PASSWORD_FORM_NONCE = 'wp_protect_password_ajax_nonce_password';

		const GENERAL_SETTING_FORM_NONCE = 'wp_protect_password_ajax_nonce_general';

		const PDA_OPTIONS = array(
			'GENERAL_SET_PASSWORD_OPTIONS' => 'wp_protect_password_set_password_options',
			'GENERAL_SETTING_OPTIONS'      => 'wp_protect_password_setting_options'
		);

		const GENERAL_SET_PASSWORD_OPTIONS = self::PDA_OPTIONS['GENERAL_SET_PASSWORD_OPTIONS'];

		const GENERAL_SETTING_OPTIONS = self::PDA_OPTIONS['GENERAL_SETTING_OPTIONS'];

		const POST_PROTECTION_ROLES = "post_protection_roles";

		const CUSTOM_POST_TABLE_COLUMN_NAME = 'pda_password_protection';

		const CUSTOM_POST_TABLE_COLUMN_TITLE = 'Password Protection';

		const AUTO_GENERATE_PWD_META_DATA = 'auto-generate-pwd';

		const AUTO_GENERATE_PWD_FORM_NONCE = 'auto-generate-pwd-nonce';

		const TBL_VERSION = 'pda-pwd-tbl-version';

		const TBL_NAME = 'pda_passwords';

		const PREFIX_PWD = 'PDA_PWD';

		const CAMPAIGN_APP = array(
			'AC' => 'ActiveCampaign'
		);

		const COOKIE_NAME_WP_PROTECT_PASSWORD = "pda_protect_password";

		const MULTIPLE_PASSWORDS_POST_META = "wp_protect_password_multiple_passwords";

		const LICENSE_OPTIONS = 'wp_protect_password_licensed';

		const LICENSE_NOT_ACTIVATED = 'Please enter your license to activate our powerful Pro features!';

		const LICENSE_FORM_NONCE = 'wp_protect_password_license_form_nonce';

		const LICENSE_KEY = 'wp_protect_password_license_key';

		const APP_ID = 'wp_protect_password_app_id';

		const LICENSE_ERROR = 'wp_protect_password_license_error';

		const CUSTOM_CATEGORY_TABLE_COLUMN_NAME = 'wp_protect_password_protect-category';

		const UPDATE_PROTECT_CATEGORY_FORM_NONCE = 'update-protect-category-nonce';

		const PROTECT_PWD_BTN = 'Password protect';

		const MANAGE_PWD_BTN = 'Manage passwords';

		const CAMPAIGN_TYPE = array(
			'ROLE'            => 'Role_',
			'DEFAULT'         => 'Default',
			'ACTIVE_CAMPAIGN' => 'ActiveCampaign',
			'AUTO'            => 'Auto',
			'COMMON'          => 'Common'
		);

		const MAP_CAMPAIGN_TYPE = array(
			'Default'        => 'Global (default)',
			'Auto'           => 'Global (custom)',
			'ActiveCampaign' => 'ActiveCampaign',
			'Common'         => 'Global (shared)'
		);

		const WPP_WHITELIST_COLUMN_PROTECTIONS = 'wpp_whitelist_column_protections';

		const WPP_WHITELIST_ROLES = 'wpp_whitelist_roles';

		const WPP_PASSWORD_COOKIE_EXPIRED = 'wpp_password_cookie_expired';

		const WPP_ROLE_ACCESS = 'wpp_roles_access';

		const WPP_ROLE_SELECT = 'wpp_roles_select';

		const WPP_PAGES_POST_SELECTED = 'wpp_pages_posts_select';

		const WPP_APPLY_PASSWORD_FOR_PAGES_POSTS = 'wpp_apply_password_for_pages_posts';

		const WPP_PASSWORD_FOR_PAGES_POSTS = 'wpp_password_for_pages_posts';

		const WPP_AUTO_PROTECT_ALL_CHILD_PAGES = 'wpp_auto_protect_all_child_pages';

		const WPP_REMOVE_DATA = 'wpp_remove_data';

		const WPP_ERROR_MESSAGE = 'wpp_error_message';

		const WPP_FORM_MESSAGE = 'wpp_form_message';

		const WPP_UPDATE_DEFAULT_SETTING = 'wpp_update_default_setting';

		const WPP_MAX_COOKIE_EXPIRED = 365;

		const WPP_SWITCH_EXCLUDE_PAGE = 'ppwp_switch_exclude_page';

		const WPP_PAGE_EXCLUDE = 'ppwp_page_exclude';

		const WPP_DEFAULT_FORM_MESSAGE = 'This content is password protected. To view it please enter your password below:';

		const WPP_REMOVE_SEARCH_ENGINE = 'ppwp_remove_search_engine';

		const PPW_DOMAIN = 'password-protect-wordpress';

		const DEFAULT_VALUE_SETTINGS = array(
			self::WPP_WHITELIST_COLUMN_PROTECTIONS => array( 'post', 'page' ),
			self::WOOCOMMERCE_PLUGIN_NAME          => array(
				self::WPP_WHITELIST_COLUMN_PROTECTIONS => array( 'post', 'page', 'product' )
			)
		);

		const WOOCOMMERCE_PLUGIN_NAME = 'woocommerce';

		const PLUGINS_PATH = array(
			self::WOOCOMMERCE_PLUGIN_NAME => 'woocommerce/woocommerce.php',
		);

		const WPP_SCREEN_SETTING_PAGE = 'toplevel_page_wp_protect_password_options';

		const WPP_PROTECT_PASSWORD_OPTIONS = 'wp_protect_password_options';

	}
}
?>
