<?php

if ( ! class_exists( "Wp_Protect_Password_Setting_Widgets" ) ) {
	class Wp_Protect_Password_Setting_Widgets {
		function render_password_tab() { ?>
			<div class="main_container">
				<form id="wp_protect_password_form">
					<input type="hidden"
					       nonce="<?php echo wp_create_nonce( WP_Protect_Password_Constant::GENERAL_PASSWORD_FORM_NONCE ); ?>"
					       id="wp_protect_password_nonce"/>
					<table class="ppwp_settings_table" cellpadding="4">
						<?php
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-for-entire-site.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-exclude-page.php';
						?>
					</table>
					<?php
					submit_button();
					?>
				</form>
			</div>
			<?php
		}

		function render_general_tab() {
			?>
			<div class="ppwp_wrap_setting">
				<form class="main_container" id="wp_protect_password_general_form">
					<input type="hidden"
					       nonce="<?php echo wp_create_nonce( WP_Protect_Password_Constant::GENERAL_SETTING_FORM_NONCE ); ?>"
					       id="wp_protect_password_nonce"/>
					<table class="ppwp_settings_table" cellpadding="4">
						<tr id="pda-password-protection">
							<td colspan="2">
								<h3><?php echo esc_html__( 'PASSWORD PROTECTION', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></h3>
							</td>
						</tr>
						<?php
						include PDA_PWD_DIR_PATH . '/includes/views/view-protect-page-post-custom-column-permission.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-expired.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-whitelist-roles.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-auto-protect-all-child-page.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-set-for-pages.php';
						?>
						<tr>
							<td colspan="2">
								<hr>
							</td>
						</tr>
						<tr id="wpp-password-form">
							<td colspan="2">
								<h3><?php echo esc_html__( 'PASSWORD FORM', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></h3>
							</td>
						</tr>
						<?php
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-form-message.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-error-message.php';
						?>
						<tr>
							<td colspan="2">
								<hr>
							</td>
						</tr>
						<tr id="wpp-password-form">
							<td colspan="2">
								<h3><?php echo esc_html__( 'ADVANCED OPTIONS', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></h3>
							</td>
						</tr>
						<?php
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-remove-search-engine.php';
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-remove-data.php';
						?>
					</table>
					<?php
					submit_button();
					?>
					<table class="ppwp_settings_table" cellpadding="4">
						<?php
						include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-notices-cache.php';
						if ( ! wpp_is_gold_function() ) {
							include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-wp-super-cache.php';
							include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-w3-total-cache.php';
							include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-wp-fastest-cache.php';
						}
						?>
					</table>
				</form>
				<?php
				include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-migrate-default-password.php';
				?>
			</div>
			<?php
		}

		function render_license_tab() {
			$license      = get_option( WP_Protect_Password_Constant::LICENSE_KEY );
			$configs      = include( 'class-wp-protect-password-configs.php' );
			$license_type = wp_protect_password_get_license_type();
			$plugin_data  = get_plugin_data( WPPP_BASE_FILE );
			$version      = $plugin_data['Version'];
			include PDA_PWD_DIR_PATH . '/includes/views/view-wp-protect-password-license-tab.php';
		}
	}
}
