<?php
$post_types      = ppwp_get_all_post_types();
if ( wpp_is_gold_function() ) {
	$selected_column = wpp_get_settings_value( WP_Protect_Password_Constant::WPP_WHITELIST_COLUMN_PROTECTIONS );
	if ( ! function_exists( 'is_plugin_active' ) ) {
		include_once( ABSPATH . 'wp-admin/includes/plugin.php' );
	}
	$woo_activate      = is_plugin_active( 'woocommerce/woocommerce.php' );
	$default_post_type = $woo_activate ? 'Pages, Posts & Products.' : 'Pages & Posts.';
	?>
	<tr>
		<td class="feature-input"><span class="feature-input"></span></td>
		<td>
			<p>
				<label><?php echo esc_html__( 'Post Type Protection', WP_Protect_Password_Constant::PPW_DOMAIN ); ?></label>
				<?php echo _e( '<a target="_blank" rel="noopener noreferrer" href="https://passwordprotectwp.com/docs/settings/#cpt">Select which custom post types</a> you want to password protect. Default: ' . $default_post_type, WP_Protect_Password_Constant::PPW_DOMAIN ); ?>
			</p>
			<select required multiple="multiple" id="ppwp_whitelist_column_protections_select2" class="ppwp_select2">
				<?php foreach ( $post_types as $post_type ): ?>
					<option <?php echo in_array( $post_type->name, $selected_column ) ? 'selected="selected"' : '' ?>
							value="<?php echo esc_attr( $post_type->name ) ?>"><?php echo esc_html__( $post_type->label ); ?></option>
				<?php endforeach; ?>
			</select>
		</td>
	</tr>
<?php } else { ?>
	<tr class="ppwp_free_version">
		<td class="feature-input"><span class="feature-input"></span></td>
		<td>
			<p>
				<label><?php echo esc_html__( 'Post Type Protection', WP_Protect_Password_Constant::PPW_DOMAIN ); ?></label>
				<?php echo _e( '<a target="_blank" rel="noopener noreferrer" href="https://passwordprotectwp.com/docs/settings/#cpt">Select which custom post types</a> you want to password protect. Default: Pages & Posts.<em> Available in Pro version only</em>', WP_Protect_Password_Constant::PPW_DOMAIN ); ?>
			</p>
			<select required multiple="multiple" class="ppwp_select2">
				<?php foreach ( $post_types as $post_type ): ?>
					<option <?php echo 'post' === $post_type->name || 'page' === $post_type->name ? 'selected="selected"' : '' ?>
							value="<?php echo esc_attr( $post_type->name ) ?>"><?php echo esc_html__( $post_type->label ); ?></option>
				<?php endforeach; ?>
			</select>
		</td>
	</tr>
<?php } ?>
