<?php

add_meta_box(
	'ppwp_set_password_metabox',
	__( 'Password Protect WordPress', WP_Protect_Password_Constant::PPW_DOMAIN ),
	'ppwp_render_ui_set_password_meatbox',
	array( 'page', 'post', 'product' ),
	'side',
	'high'
);


/**
 * Function to render metabox set password for pages, posts, products
 *
 * @param $post
 */
function ppwp_render_ui_set_password_meatbox( $post ) {
	if ( ! function_exists( 'get_current_screen' ) || is_null( get_current_screen() ) || ! ppwp_check_permission_for_post_type( get_current_screen()->id ) ) {
		?>
		<div>Please enable password protection for this post type <a
					target="_blank" rel="noopener noreferrer"
					href="<?php esc_attr_e( admin_url( 'admin.php?page=' . WP_Protect_Password_Constant::WPP_PROTECT_PASSWORD_OPTIONS . '&tab=general' ) ); ?>">on
				our
				settings page</a>.
		</div>
		<?php
		return;
	}

	$ppwp_auto_protect_all_child_pages = wpp_get_settings_boolean( WP_Protect_Password_Constant::WPP_AUTO_PROTECT_ALL_CHILD_PAGES );
	if ( $ppwp_auto_protect_all_child_pages ) {
		if ( $post->post_parent ) {
			?>
			<div>Please manage passwords on parent page.</div>
			<?php
			return;
		}
	}
	?>
	<div id="ppwp_password_protect_by_roles" class="ppwp-password-protect-by-roles_<?php echo $post->ID; ?>"></div>
	<?php
	$user_roles = array_keys( get_editable_roles() );
	wp_enqueue_script( 'ppwp_metabox_js', plugin_dir_url( WPPP_BASE_FILE ) . '/js/dist/metabox/ppwp_metabox_bundle.js', array( 'jquery' ) );
	wp_localize_script( 'ppwp_metabox_js', 'ppwp_data', array(
		'home_url'   => is_ssl() ? home_url( '/', 'https' ) : home_url( '/' ),
		'roles'      => $user_roles,
		'nonce'      => wp_create_nonce( 'wp_rest' ),
		'plugin_url' => PPWP_BASE_URL,
	) );
	wp_enqueue_style( "ppwp_metabox_css", plugin_dir_url( WPPP_BASE_FILE ) . '/js/dist/metabox/ppwp_metabox_bundle.css', array() );
}
