<?php
if ( wpp_is_gold_function() ) {
	$post_type_selected = wpp_get_settings_value( WP_Protect_Password_Constant::WPP_WHITELIST_COLUMN_PROTECTIONS );
	$labels             = array_map( function ( $post_type ) {
		$info = get_post_type_object( $post_type );
		if ( ! is_null( $info ) ) {
			return $info->label;
		}
	}, $post_type_selected );
	$labels             = implode( ', ', array_filter( $labels ) );
	$img_loading_url    = PPWP_BASE_URL . 'admin/images/pda-loading.gif';
	?>

	<div class="ppwp_wrap_element_migrate">
		<h3>Password Migration</h3>
		<p>
			<?php echo _e( 'Selected post types: <b>' . $labels . '</b>', WP_Protect_Password_Constant::PPW_DOMAIN ); ?>
		</p>
		<p>
			<?php echo _e( 'Click on the button below to <a target="_blank" rel="noopener noreferrer" href="https://passwordprotectwp.com/docs/migrate-wordpress-default-passwords/">merge
			WordPress default passwords</a> into our plugin’s.', WP_Protect_Password_Constant::PPW_DOMAIN ); ?>
		</p>
		<input type="button" class="button button-primary" id="ppwp_scan_post_type" value="Migrate Passwords"/>
		<img class="ppwp_loading_button_for_column_permission" src="<?php echo esc_attr( $img_loading_url ); ?>" alt="">
	</div>
<?php } ?>
