<?php
$all_page_post = ppwp_get_all_page_post();
if ( wpp_is_gold_function() ) {
	$is_apply_password = wpp_get_settings_boolean( WP_Protect_Password_Constant::WPP_APPLY_PASSWORD_FOR_PAGES_POSTS );
	$is_display        = wpp_get_settings_boolean( WP_Protect_Password_Constant::WPP_APPLY_PASSWORD_FOR_PAGES_POSTS ) ? '' : 'ppwp-hidden-password';

	$ppwp_repo         = new WP_Protect_Password_Repo( get_table_name() );
	$all_post_selected = $ppwp_repo->get_all_post_id_by_type( WP_Protect_Password_Constant::CAMPAIGN_TYPE['COMMON'] );

	$selected_posts = array_map( function ( $post ) {
		return $post->post_id;
	}, $all_post_selected );

	?>
	<tr>
		<td>
			<?php if ( $is_apply_password ) { ?>
				<label class="pda_switch" for="ppwp_apply_password_for_pages_posts">
					<input type="checkbox" id="ppwp_apply_password_for_pages_posts"
					       name="ppwp_apply_password_for_pages_posts" checked/>
					<span class="pda-slider round"></span>
				</label>
			<?php } else { ?>
				<label class="pda_switch" for="ppwp_apply_password_for_pages_posts">
					<input type="checkbox" id="ppwp_apply_password_for_pages_posts"
					       name="ppwp_apply_password_for_pages_posts"/>
					<span class="pda-slider round"></span>
				</label>
			<?php } ?>
		</td>
		<td>
			<p>
				<label><?php echo esc_html__( 'Password Protect Private Pages', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></label>
				<?php echo esc_html__( 'Set the same password to protect the following pages and posts', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
			</p>
		</td>
	</tr>
	<tr class="ppwp-pages-posts-set-password <?php echo $is_display ?>">
		<td></td>
		<td><p><?php echo esc_html__( 'Select your private pages or posts', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
			<select multiple="multiple" id="ppwp-pages-posts-select" class="ppwp_select2">
				<?php foreach ( $all_page_post as $page ): ?>
					<?php $is_selected = ! empty( $selected_posts ) && array_search( $page->ID, $selected_posts ) !== false ? "selected" : "" ?>
					<option <?php echo esc_attr( $is_selected ) ?>
							value="<?php echo esc_html( $page->ID ) ?>"><?php echo esc_html( $page->post_title ) ?></option>
				<?php endforeach; ?>
			</select>
		</td>
	</tr>
	<?php if ( empty( $all_post_selected ) ) { ?>
		<tr class="ppwp-pages-posts-set-password <?php echo $is_display ?> ppwp_hide_form_enter_password">
			<td></td>
			<td class="ppwp_wrap_set_new_password_for_pages_posts">
				<p><?php echo esc_html__( 'Set a password', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
				<input required type="text" placeholder="Enter a password" id="ppwp-password-for-pages-posts"
				       name="ppwp-password-for-pages-posts">
			</td>
		</tr>
	<?php } else { ?>
		<tr class="ppwp-pages-posts-set-password <?php echo $is_display ?> ppwp_show_form_enter_password">
			<td></td>
			<td class="ppwp-set-height-for-new-password">
				<p><?php _e( 'You’ve set this password to protect the above pages: ' . '<b class="ppwp_text_after_enter_password">' . esc_html( $all_post_selected[0]->password ) . '</b>', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
				<div class="ppwp-wrap-new-password">
					<label class="pda_switch" for="ppwp_set_new_password_for_pages_posts">
						<input type="checkbox" id="ppwp_set_new_password_for_pages_posts"
						       name="ppwp_set_new_password_for_pages_posts"/>
						<span class="pda-slider round"></span>
					</label>
					<span class="ppwp-set-new-password-text">Set a new password</span>
				</div>
				<div class="ppwp-hidden-new-password" id="ppwp-new-password">
					<div class="ppwp-wrap-new-password">
						<label class="pda_switch"></label>
						<span class="ppwp-set-new-password-input">
                    <input type="text" placeholder="Enter new password" id="ppwp-password-for-pages-posts"
                           name="ppwp-password-for-pages-posts">
                    <input type="hidden" value="<?php echo esc_attr( $all_post_selected[0]->password ); ?>"
                           id="ppwp-password-hidden">
                </span>
					</div>
				</div>
			</td>
		</tr>
	<?php }
} else {
	?>
	<tr class="ppwp_free_version">
		<td>
			<label class="pda_switch" for="ppwp_free_apply_password_for_pages_posts">
				<input type="checkbox" id="ppwp_free_apply_password_for_pages_posts"/>
				<span class="pda-slider round"></span>
			</label>
		</td>
		<td>
			<p>
				<label><?php echo esc_html__( 'Password Protect Private Pages', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></label>
				<?php echo _e( 'Set the same password to protect the following pages and posts.<em> Available in Pro version only</em>', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
			</p>
		</td>
	</tr>
	<tr class="ppwp-free-pages-posts-set-password ppwp-hidden-password ppwp_free_version">
		<td></td>
		<td><p><?php echo esc_html__( 'Select your private pages or posts', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
			<select multiple="multiple" class="ppwp_select2">
				<?php foreach ( $all_page_post as $page ): ?>
					<option><?php echo esc_html( $page->post_title ) ?></option>
				<?php endforeach; ?>
			</select>
		</td>
	</tr>
	<tr class="ppwp-free-pages-posts-set-password ppwp-hidden-password ppwp_free_version">
		<td></td>
		<td class="ppwp_wrap_set_new_password_for_pages_posts">
			<p><?php echo esc_html__( 'Set a password', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
			<input type="text" placeholder="Enter a password"/>
		</td>
	</tr>
	<?php
} ?>
