<?php
$roles = get_editable_roles();
if ( wpp_is_gold_function() ) {
	$roles_access = wpp_get_settings_value( WP_Protect_Password_Constant::WPP_WHITELIST_ROLES );
	$is_display   = $roles_access == "custom_roles" ? '' : 'wpp_hide_role_access';
	?>
	<tr>
		<td class="feature-input"><span class="feature-input"></span></td>
		<td>
			<p>
				<label><?php echo esc_html__( 'Whitelist Roles', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></label>
				<?php echo esc_html__( 'Select user roles who can access all protected content without having to enter passwords', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
			</p>
			<select id="wpp_whitelist_roles">
				<option value="blank" <?php if ( $roles_access == "blank" ) {
					echo "selected";
				} ?>><?php echo esc_html__( 'No one', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
				</option>
				<option value="admin_users" <?php if ( $roles_access == "admin_users" ) {
					echo "selected";
				} ?> ><?php echo esc_html__( 'Admin users', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
				</option>
				<option value="author" <?php if ( $roles_access == "author" ) {
					echo "selected";
				} ?> ><?php echo esc_html__( 'The post\'s author', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
				</option>
				<option value="logged_users" <?php if ( $roles_access == "logged_users" ) {
					echo "selected";
				} ?> ><?php echo esc_html__( 'Logged-in users', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
				</option>
				<option value="custom_roles" <?php if ( $roles_access == "custom_roles" ) {
					echo "selected";
				} ?> ><?php echo esc_html__( 'Choose custom roles', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
				</option>
			</select>
		</td>
	</tr>
	<tr id="wpp_roles_access" class="<?php echo esc_attr( $is_display ); ?>">
		<td></td>
		<td><p><?php echo esc_html__( 'Grant access to these user roles only', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
			<select multiple="multiple" id="wpp_roles_select" class="wpp_roles_select ppwp_select2">
				<?php foreach ( $roles as $role_name => $role_info ):
					$arrRole = array( $role_name ); ?>
					<option <?php echo array_intersect( $arrRole, wpp_get_settings_value( WP_Protect_Password_Constant::WPP_ROLE_SELECT ) ) ? 'selected="selected"' : '' ?>
							value="<?php echo $role_name ?>"><?php echo $role_name ?></option>
				<?php endforeach; ?>
			</select>
		</td>
	</tr>
<?php } else {
	?>
	<tr class="ppwp_free_version">
		<td class="feature-input"><span class="feature-input"></span></td>
		<td>
			<p>
				<label><?php echo esc_html__( 'Whitelist Roles', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></label>
				<?php echo _e( 'Select user roles who can access all protected content without having to enter passwords.<em> Available in Pro version only</em>', WP_Protect_Password_Constant::PPW_DOMAIN ) ?>
			</p>
			<select id="wpp_free_whitelist_roles">
				<option value="blank"><?php echo esc_html__( 'No one', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></option>
				<option selected value="admin_users"><?php echo esc_html__( 'Admin users', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></option>
				<option value="author"><?php echo esc_html__( 'The post\'s author', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></option>
				<option value="logged_users"><?php echo esc_html__( 'Logged-in users', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></option>
				<option value="custom_roles"><?php echo esc_html__( 'Choose custom roles', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></option>
			</select>
		</td>
	</tr>
	<tr id="wpp_free_roles_access" class="wpp_hide_role_access ppwp_free_version">
		<td></td>
		<td><p><?php echo esc_html__( 'Grant access to these user roles only', WP_Protect_Password_Constant::PPW_DOMAIN ) ?></p>
			<select multiple="multiple" class="wpp_roles_select ppwp_select2">
				<?php foreach ( $roles as $role_name => $role_info ) { ?>
					<option><?php echo $role_name ?></option>
				<?php } ?>
			</select>
		</td>
	</tr>
	<?php
} ?>
