(function( $ ) {
    'use strict';
    $(function() {
        $(".pda-pwd-tbl-category").on('click', (evt) =>{
            var term_id = evt.target.id.split('_')[1];
            var allPostId = $("#all_post_id_in_category_" + term_id).val();
            _updateProtectCategory(allPostId, term_id, function(error) {
                if (error) {
                    console.error(error);
                }
            });
        });
    });

    function _updateProtectCategory(allPostId, term_id, cb) {
        var _data = {
            action: 'wp_protect_password_update_category_protect',
            all_post_id: allPostId,
            security_check: $("#pda-password-nonce-category_" + term_id).attr('nonce'),
        }
        $.ajax({
            url: wp_protect_password_category_data.ajax_url,
            type: 'POST',
            data: _data,
            success: function(data) {
                if (data == 'Invalid nonce') {
                    alert('No! No! No! Verify Nonce Fails!');
                } else if(data) {
                    console.log("Success", data);
                    const allChildCategoryId = ($("#all-child-category-id_" + term_id).val()).split(";");
                    const allParentCategoryId = ($("#all-parent-category-id_" + term_id).val()).split(";");
                    if($("#pda-password-protection-category_" + term_id).prop('checked')) {
                        $("#pda-password-protection-category_" + term_id).prop('checked', false);
                        $("#pda-protect-password-category_" + term_id).text("Protect category");
                        allChildCategoryId.forEach(function(ChildCategoryId) {
                            $("#pda-password-protection-category_" + ChildCategoryId).prop('checked', false);
                            $("#pda-protect-password-category_" + ChildCategoryId).text("Protect category");
                        });
                        allParentCategoryId.forEach(function(ParentCategoryId) {
                            $("#pda-password-protection-category_" + ParentCategoryId).prop('checked', false);
                            $("#pda-protect-password-category_" + ParentCategoryId).text("Protect category");
                        });
                    } else {
                        $("#pda-password-protection-category_" + term_id).prop('checked', true);
                        $("#pda-protect-password-category_" + term_id).text("Un-protect category");
                        allChildCategoryId.forEach(function(ChildCategoryId) {
                            $("#pda-password-protection-category_" + ChildCategoryId).prop('checked', true);
                            $("#pda-protect-password-category_" + ChildCategoryId).text("Un-protect category");
                        });
                        data.forEach(function(dt) {
                            if (dt.is_protect) {
                                $("#pda-password-protection-category_" + dt.id).prop('checked', true);
                                $("#pda-protect-password-category_" + dt.id).text("Un-protect category");
                            }
                        });
                    }
                    toastr.success('Your settings have been updated successfully!', 'Password Protect WordPress');
                } else {
                    console.log("Failed", data);
                }
                cb();
            },
            error: function(error) {
                $("#submit").prop("disabled", false);
                console.log("Errorsss", error);
                cb(error);
            },
            timeout: 5000
        });
    }
})( jQuery );