<?php
/**
 * Fired during plugin activation
 *
 * @link       www.buildwps.com/prevent-direct-access-premium-plugin/?utm_source=user-website&utm_medium=pluginpage&utm_campaign=plugin-author-link
 * @since      1.0.0
 *
 * @package    Wp_Protect_Password
 * @subpackage Wp_Protect_Password/includes
 */

/**
 * Fired during plugin activation.
 *
 * This class defines all code necessary to run during the plugin's activation.
 *
 * @since      1.0.0
 * @package    Wp_Protect_Password
 * @subpackage Wp_Protect_Password/includes
 * @author     BWPS <hello@ymese.com>
 */
class Wp_Protect_Password_Activator {

	/**
	 * Short Description. (use period)
	 *
	 * Long Description.
	 *
	 * @since    1.0.0
	 */
	public static function activate() {
		if ( is_gold_function() ) {
			install_pda_pwd_table();
			migrate_data_free_ver_to_gold_ver();

			//Set default options
			ppwp_set_default_settings();
		} else {
			migrate_default_password_to_ppwp();
		}

		//Save product id to option
		$admin = new Wp_Protect_Password_Admin("", "");
		$admin->save_product_id_to_option();

		// Update cookie to option and modify htaccess file for WP Fastest Cache plugin
		ppwp_custom_option_exclude_page_and_cookie_wp_fastest_cache();

	}

}
