<?php

add_meta_box(
    'ppwp_set_password_metabox',
    __( 'Password Protect WordPress', 'prevent-direct-access-gold' ),
    'ppwp_render_ui_set_password_meatbox',
    array( 'page', 'post', 'product' ),
    'side',
    'high'
);


/**
 * Function to render metabox set password for pages, posts, products
 *
 * @param $post
 */
function ppwp_render_ui_set_password_meatbox( $post ) {
    $ppwp_auto_protect_all_child_pages = wpp_get_settings_boolean( WP_Protect_Password_Constant::WPP_AUTO_PROTECT_ALL_CHILD_PAGES );
    if ( $ppwp_auto_protect_all_child_pages ) {
        if ( $post->post_parent ) {
            ?>
            <div>Please manage passwords on parent page.</div>
            <?php
            return;
        }
    }
    ?>
        <div id="ppwp_password_protect_by_roles" class="ppwp-password-protect-by-roles_<?php echo $post->ID; ?>"></div>
    <?php
    $user_roles = array_keys( get_editable_roles() );
    wp_enqueue_script( 'ppwp_metabox_js', plugin_dir_url( WPPP_BASE_FILE ) . '/js/dist/metabox/ppwp_metabox_bundle.js', array( 'jquery' ) );
    wp_localize_script( 'ppwp_metabox_js', 'ppwp_data', array(
        'home_url' => is_ssl() ? home_url( '/', 'https' ) : home_url( '/' ),
        'roles'    => $user_roles,
        'nonce'    => wp_create_nonce( 'wp_rest' ),
    ) );
    wp_enqueue_style( "ppwp_metabox_css", plugin_dir_url( WPPP_BASE_FILE ) . '/js/dist/metabox/ppwp_metabox_bundle.css', array());
}
