<?php
/**
* The Template for displaying Site Front Page
*/
get_header(); if ( ! post_password_required( $post ) ) { ?>  
<?php if(get_field('banner_published')){?>
<section id="is-banner-wrapper" style="background:<?= get_field('banner_background');?>;">
			<div class="container-fluid">
				<div class="row">
					<div class="col-md-12 banner-wrapper flex-wrapper reverse-flex">
						<div class="col-md-6 banner-text">
							<?php if(get_field('al_title')){?><div class="banner-title"><?= get_field('al_title');?></div><?php } ?>
							<?php if(get_field('al_description')){?>
								<div class="list-of-services">
									<?= get_field('al_description');?>
								</div>
							<?php } ?>
							<div class="action-toolbar-btns">
								<?php if(get_field('al_button_text')){?>
									<a href="<?= get_field('al_button_link');?>" class="btn-solid"><?= get_field('al_button_text');?></a>
								<?php } ?>
								<?php if(get_field('al_button_2_text')){?>
									<a href="<?= get_field('al_button_2_link');?>" target="_blank" class="btn-outline"><?= get_field('al_button_2_text');?></a>
								<?php } ?>
							</div>
						</div>
						<?php if(get_field('al_image')){?>
						<div class="col-md-6 banner-image">
							<img src="<?= get_field('al_image');?>" class="banner-img" alt="Banner-image">
							<!-- <video autoplay="true" loop muted playsinline src="<?= get_field('al_video')['url'];?>"></video> -->
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
		</section> 
<?php } ?>

<?php if(get_field('power_banner_published')){?>
		<section id="is-powered-by" style="background:<?= get_field('power_banner_background');?>">
			<div class="container">
				<div class="row">
					<div class="col-md-12 powered-by-wrapper">
						<?php if(get_field('pw_title')){?><div class="powered-by-title"><?= get_field('pw_title');?></div><?php } ?>
						<?php if(get_field('pw_description')){?><div class="powered-by-desc"><?= get_field('pw_description');?></div><?php } ?>
						<div class="image-divide-two">
							<img src="<?= bloginfo('template_url');?>/images/path-1.png">
							<img src="<?= bloginfo('template_url');?>/images/path-2.png">
						</div>
						<?php if(get_field('brief')){?>
						<div class="col-md-12 powered-by-brief flex-wrapper">
							<?php while(has_sub_field('brief')){?>
							<div class="col-md-6">
								<div class="brief-img"><img src="<?= get_sub_field('image'); ?>"></div>
								<div class="brief-title"><?= get_sub_field('title'); ?></div>
								<div class="brief-desc"><?= get_sub_field('description'); ?> </div>
							</div>
							<?php } ?>
						</div>
						<?php } ?>
					</div>
				</div>
			</div>
		</section>
<?php } ?>
	<?php if(get_field('fp_published')){?>
		<?php $post_query = new WP_Query(array('post_type'=>'product_item', 'post_status'=>'publish','meta_key' => 'featured_product',
    'meta_value' => '1', 'posts_per_page'=>-1)); ?>
    <?php if ( $post_query->have_posts() ) : ?>
		<section id="is-featured-product" style="background:<?= get_field('fp_background');?>">
			<div class="container">
				<div class="row">
					<div class="col-md-12 featured-product-wrapper">
						<div class="featured-product-title">Featured Products</div>
						<div class="featured-product-slider">
							 <?php while ( $post_query->have_posts() ) : $post_query->the_post(); ?>
							<div class="slider-item" style="color: <?= get_field('product_main_color');?>;">
								<div class="featured-pdt-icon"><img src="<?= get_field('product_icon');?>"></div>
								<div class="featured-pdt-name"><?php the_title();?></div>
								<div class="featured-pdt-desc"><?= get_the_content();?></div>
								<div class="featured-pdt-price"><?= get_field('product_price');?></div>
								<div class="featured-pdt-extra"><?= get_field('product_price_tax_instruction');?></div>
								<div class="pdt-more"><span data-toggle="tooltip" data-placement="bottom" data-html="true" title="<?= get_field('product_detail');?>">Details</span></div>
								
								<div class="action-tool-bar-slider">
									<a href="<?= get_field('product_learn_more_link');?>" target="_blank" class="slider-outline-btn" style="color:<?= get_field('learn_more_button_color');?>;">Learn More</a>
									<a href="<?= get_field('product_button_link');?>" target="_blank" class="slider-solid-btn" style="background:<?= get_field('select_button_color');?>;">Select</a>
								</div>
							</div>
							 <?php endwhile; ?>
            				<?php wp_reset_postdata(); ?>
						</div>
						
						
						<div class="featured-product-explore-btn">
							<a href="<?= get_field('al_button_link');?>" class="btn-solid">View All Products</a>
							<a href="<?= get_field('al_button_2_link');?>" target="_blank" class="btn-outline">Learn More</a>
						</div>
					</div>
				</div>				
			</div>
		</section>
		<?php endif; }?>

		<?php if(get_field('made_for_item') && get_field('made_banner_published')){?>
		<section id="made-for-business" style="background:<?= get_field('made_banner_background');?>">
			<div class="container-full">
				<div class="row">
					<div class="col-md-12 made-for-business-wrapper">
						<div class="made-for-business-title"><?= get_field('mf_title');?></div>
						
						<div class="modern-list">
							<?php while(has_sub_field('made_for_item')){?>
							<div class="modern-list-item" style="background:<?= get_sub_field('background');?>">
								<div class="modern-list-img"><img src="<?= get_sub_field('mobile_image');?>"></div>
								<div class="modern-list-heading"><?= get_sub_field('title');?></div>
								<div class="modern-list-desc"><?= get_sub_field('description');?></div>
							</div>
							<?php } ?>
						</div>										

					</div>
				</div>
			</div>
		</section>
		<?php } ?>

		<?php if(get_field('how_it_works') && get_field('hw_published')){?>
		<section id="how-it-works" style="background:<?= get_field('hw_background');?>">
			<div class="container">
				<div class="row">
					<div class="col-md-12 how-it-works-wrapper">
						<div class="how-it-works-title"><?= get_field('hw_title');?></div>
						
						<?php $i=1; while(has_sub_field('how_it_works')){?>
						<?php if($i%3==1){?>
						<div class="how-it-works-list">
						<?php } ?>
							<div class="how-it-works-list-item" style="background:<?= get_sub_field('background');?>">
								<div class="how-it-works-list-img"><img src="<?= get_sub_field('image');?>"></div>
								<div class="how-it-works-list-heading"><?= get_sub_field('title');?></div>
								<div class="how-it-works-list-desc"><?= get_sub_field('description');?></div>
							</div>
								
						<?php if($i%3==0){?>			
						</div>
						<?php } ?>
						<?php $i++; } ?>	
						<div class="how-it-works-list-item learn-more-list" style="background:<?= get_field('learn_more_background');?>">
							<div class="how-it-works-list-img"></div>
							<div class="how-it-works-list-heading"><?= get_field('learn_more_title');?></div>
							<div class="how-it-works-list-button"><a target="_blank" href="<?= get_field('learn_more_button_link');?>"><?= get_field('learn_more_button_text');?></a></div>
						</div>

					</div>
				</div>
			</div>
		</section>
		<?php } ?>
		
		<?php if(get_field('featured_clients') && get_field('f_published')){?>
		<section id="is-featured-clients" style="background:<?= get_field('f_banner_background');?>">
			<div class="container">
				<div class="row">
					<div class="col-md-12 featured-clients-wrapper">
						<?php if(get_field('featured_clients_title')){?><div class="featured-clients-heading"><?= get_field('featured_clients_title');?></div><?php } ?>
						<div class="col-md-12 client-img-row-one">
						<?php while(has_sub_field('featured_clients')){?>
						
							<div class="client-img"><img src="<?= get_sub_field('image');?>"></div>
						<?php } ?>
						</div>

						<!-- <?php if(get_field('featured_clients_title')){?><div class="featured-clients-heading"><?= get_field('featured_clients_title');?></div><?php } ?>
						<?php $i=1; while(has_sub_field('featured_clients')){?>
						<?php if($i%4==1){?>
						<div class="col-md-12 flex-wrapper client-img-row-one">
						<?php } ?>
							<div class="client-img"><img src="<?= get_sub_field('image');?>"></div>
						<?php if($i%4==0){?>
						</div><div class="col-md-12 flex-wrapper client-img-row-sec">
						<?php } ?>
						<?php $i++; } ?> -->
						
					</div>
				</div>
			</div>
		</section>
		<?php } ?>
		<?php if(get_field('startup_community') && get_field('s_published')){?>
		<section id="is-ALC" style="background:<?= get_field('s_banner_background');?>">
			<div class="container">
				<div class="row">
					<div class="col-md-12 ALC-wrapper">
						<?php if(get_field('startup_community_title')){?><div class="ALC-heading"><?= get_field('startup_community_title');?></div><?php } ?>
						
						<div class="col-md-12 client-img-row-one">
							<?php while(has_sub_field('startup_community')){?>
								<div class="client-img"><img src="<?= get_sub_field('image');?>"></div>
							<?php } ?>
						</div>
					</div>
				</div>
			</div>
		</section>
		<?php } ?>
		<?php if(get_field('yb_published')){?>
		<section id="is-personal-business">
			<div class="container-fluid">
				<div class="row">
					<div class="col-md-12 personal-business">
						<div class="personal-business-inner" style="background:<?= get_field('yb_banner_background');?>">
							<?php if(get_field('yb_title')){?><div class="personal-business-text"><?= get_field('yb_title');?></div>	<?php } ?>				
							<div class="action-toolbar-btns">
								<?php if(get_field('yb_button_link')){?><a href="<?= get_field('yb_button_link');?>" class="btn-solid-personal"><?= get_field('yb_button_text');?></a><?php } ?>	
								<?php if(get_field('yb_button_2_link')){?><a href="<?= get_field('yb_button_2_link');?>" target="_blank" class="btn-solid-personal"><?= get_field('yb_button_2_text');?></a><?php } ?>	
							</div>	
							</div>
					</div>
				</div>
			</div>
		</section>
	<?php } ?>

<?php } else {
	echo '<form class="pass" action="' . esc_url( site_url( 'wp-login.php?action=postpass', 'login_post' ) ) . '" method="post">
' . __( "This post is password protected. To view it please enter your password below:" ) . '
<label for="password">' . __( "Password:" ) . ' </label><input name="post_password" id="password" type="password" size="20" required/>
<input type="submit" name="Submit" value="' . esc_attr__( "Submit" ) . '" />
</form>
';
}  get_footer(); ?>
<script type="text/javascript">
	var figure = jQuery(".video").hover( hoverVideo, hideVideo );

    function hoverVideo(e) {  
        jQuery('video', this).get(0).play(); 
    }
    
    function hideVideo(e) {
        jQuery('video', this).get(0).pause(); 
    }

</script>

